Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4509)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4510)
@@ -3043,5 +3047,5 @@
       CASE ( 'usm_theta_10cm' )
 !
-!--       near surface temperature for whole surfaces
+!--       Near surface temperature for whole surfaces
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -3085,5 +3089,5 @@
       CASE ( 'usm_t_wall' )
 !
-!--       wall temperature for  iwl layer of walls and land
+!--       Wall temperature for  iwl layer of walls and land
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -3124,5 +3128,5 @@
       CASE ( 'usm_t_window' )
 !
-!--       window temperature for iwl layer of walls and land
+!--       Window temperature for iwl layer of walls and land
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -3163,5 +3167,5 @@
       CASE ( 'usm_t_green' )
 !
-!--       green temperature for  iwl layer of walls and land
+!--       Green temperature for  iwl layer of walls and land
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -3202,5 +3206,5 @@
           CASE ( 'usm_swc' )
 !
-!--       soil water content for  iwl layer of walls and land
+!--       Soil water content for  iwl layer of walls and land
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -3346,6 +3350,6 @@
        IF (surf_usm_h%green_type_roof(m) == 2.0_wp )  THEN
 !
-!-- extensive green roof
-!-- set ratio of substrate layer thickness, soil-type and LAI
+!-- Extensive green roof
+!-- Set ratio of substrate layer thickness, soil-type and LAI
           soil_type = 3
           surf_usm_h%lai(m) = 2.0_wp
@@ -3357,6 +3361,6 @@
        ELSE
 !
-!-- intensiv green roof
-!-- set ratio of substrate layer thickness, soil-type and LAI
+!-- Intensiv green roof
+!-- Set ratio of substrate layer thickness, soil-type and LAI
           soil_type = 6
           surf_usm_h%lai(m) = 4.0_wp
@@ -3560,5 +3564,5 @@
     CALL cpu_log( log_point_s(78), 'usm_init', 'start' )
 !
-!-- surface forcing has to be disabled for LSF in case of enabled urban surface module
+!-- Surface forcing has to be disabled for LSF in case of enabled urban surface module
     IF ( large_scale_forcing )  THEN
         lsf_surf = .FALSE.
@@ -3694,5 +3698,5 @@
         surf_usm_h%target_temp_winter(m)  = building_pars(ind_indoor_target_temp_winter,building_type)
 !
-!--     emissivity of wall-, green- and window fraction
+!--     Emissivity of wall-, green- and window fraction
         surf_usm_h%emissivity(m,ind_veg_wall)  = building_pars(ind_emis_wall_r,building_type)
         surf_usm_h%emissivity(m,ind_pav_green) = building_pars(ind_emis_green_r,building_type)
@@ -3705,5 +3709,5 @@
         surf_usm_h%z0q(m)                      = building_pars(ind_z0qh,building_type)
 !
-!--     albedo type for wall fraction, green fraction, window fraction
+!--     Albedo type for wall fraction, green fraction, window fraction
         surf_usm_h%albedo_type(m,ind_veg_wall)  = INT( building_pars(ind_alb_wall_r,building_type) )
         surf_usm_h%albedo_type(m,ind_pav_green) = INT( building_pars(ind_alb_green_r,building_type) )
@@ -3732,5 +3736,5 @@
         DO  m = 1, surf_usm_v(l)%ns
 
-           surf_usm_v(l)%surface_types(m) = wall_category         !< default category for root surface
+           surf_usm_v(l)%surface_types(m) = wall_category     !< Default category for root surface
 !
 !--        In order to distinguish between ground floor level and above-ground-floor level surfaces,
@@ -3850,5 +3854,5 @@
            surf_usm_v(l)%target_temp_winter(m)  = building_pars(ind_indoor_target_temp_winter,building_type)
 !
-!--        emissivity of wall-, green- and window fraction
+!--        Emissivity of wall-, green- and window fraction
            surf_usm_v(l)%emissivity(m,ind_veg_wall)  = building_pars(ind_emis_wall,building_type)
            surf_usm_v(l)%emissivity(m,ind_pav_green) = building_pars(ind_emis_green,building_type)
@@ -3943,5 +3947,5 @@
               surf_usm_h%target_temp_winter(m)  = building_pars(ind_indoor_target_temp_winter,st)
 !
-!--           emissivity of wall-, green- and window fraction
+!--           Emissivity of wall-, green- and window fraction
               surf_usm_h%emissivity(m,ind_veg_wall)  = building_pars(ind_emis_wall_r,st)
               surf_usm_h%emissivity(m,ind_pav_green) = building_pars(ind_emis_green_r,st)
@@ -3954,5 +3958,5 @@
               surf_usm_h%z0q(m)                 = building_pars(ind_z0qh,st)
 !
-!--           albedo type for wall fraction, green fraction, window fraction
+!--           Albedo type for wall fraction, green fraction, window fraction
               surf_usm_h%albedo_type(m,ind_veg_wall)  = INT( building_pars(ind_alb_wall_r,st) )
               surf_usm_h%albedo_type(m,ind_pav_green) = INT( building_pars(ind_alb_green_r,st) )
@@ -4106,5 +4110,5 @@
                  surf_usm_v(l)%target_temp_winter(m) = building_pars(ind_indoor_target_temp_winter,st)
 !
-!--              emissivity of wall-, green- and window fraction
+!--              Emissivity of wall-, green- and window fraction
                  surf_usm_v(l)%emissivity(m,ind_veg_wall)  = building_pars(ind_emis_wall,st)
                  surf_usm_v(l)%emissivity(m,ind_pav_green) = building_pars(ind_emis_green,st)
@@ -4659,5 +4663,5 @@
                  ENDIF
 
-                 EXIT ! surface was found and processed
+                 EXIT ! Surface was found and processed
               ENDIF
            ENDDO
@@ -4691,5 +4695,5 @@
                        surf_usm_v(l)%frac(m,ind_pav_green) =                                       &
                        building_surface_pars_f%pars(ind_s_green_frac_r,is)
-                       !TODO clarify: why should _w and _r be on the same surface?
+                       !TODO Clarify: why should _w and _r be on the same surface?
 
                     IF ( building_surface_pars_f%pars(ind_s_win_frac,is) /=                        &
@@ -4802,5 +4806,5 @@
                     ENDIF
 
-                    EXIT ! surface was found and processed
+                    EXIT ! Surface was found and processed
                  ENDIF
               ENDDO
@@ -4883,5 +4887,5 @@
      CALL usm_init_material_model()
 
-!--  init skin layer properties (can be done after initialization of wall layers)
+!--  Init skin layer properties (can be done after initialization of wall layers)
 
      DO  m = 1, surf_usm_h%ns
@@ -4924,8 +4928,8 @@
 
 !
-!--  init anthropogenic sources of heat
+!--  Init anthropogenic sources of heat
      IF ( usm_anthropogenic_heat )  THEN
 !
-!--      init anthropogenic sources of heat (from transportation for now)
+!--      Init anthropogenic sources of heat (from transportation for now)
          CALL usm_read_anthropogenic_heat()
      ENDIF
@@ -5031,6 +5035,6 @@
          ENDIF
 !
-!--      initial values for t_wall
-!--      outer value is set to surface temperature, inner value is set to wall_inner_temperature
+!--      Initial values for t_wall
+!--      Outer value is set to surface temperature, inner value is set to wall_inner_temperature
 !--      and profile is logaritmic (linear in nz).
 !--      Horizontal surfaces
@@ -5090,5 +5094,5 @@
 
 !
-!--  initialize prognostic values for the first timestep
+!--  Initialize prognostic values for the first timestep
      t_surf_wall_h_p = t_surf_wall_h
      t_surf_wall_v_p = t_surf_wall_v
@@ -5182,5 +5186,5 @@
        k = surf_usm_h%k(m)
 !
-!--    prognostic equation for ground/roof temperature t_wall_h
+!--    Prognostic equation for ground/roof temperature t_wall_h
        wtend(:) = 0.0_wp
        wtend(nzb_wall) = ( 1.0_wp / surf_usm_h%rho_c_wall(nzb_wall,m) )                            &
@@ -5206,5 +5210,5 @@
                             ) * surf_usm_h%ddz_wall_stag(nzb_wall,m)
 !
-!-- if indoor model is used inner wall layer is calculated by using iwghf (indoor wall ground heat flux)
+!-- If indoor model is used inner wall layer is calculated by using iwghf (indoor wall ground heat flux)
        IF ( indoor_model )  THEN
           DO  kw = nzb_wall+1, nzt_wall-1
@@ -5245,9 +5249,9 @@
 
 !
-!-- during spinup the tempeature inside window layers is not calculated to make larger timesteps possible
+!-- During spinup the tempeature inside window layers is not calculated to make larger timesteps possible
        IF ( .NOT. during_spinup )  THEN
           win_absorp = -log( surf_usm_h%transmissivity(m) ) / surf_usm_h%zw_window(nzt_wall,m)
 !
-!--       prognostic equation for ground/roof window temperature t_window_h takes absorption of
+!--       Prognostic equation for ground/roof window temperature t_window_h takes absorption of
 !--       shortwave radiation into account
           wintend(:) = 0.0_wp
@@ -5312,5 +5316,5 @@
 
 !
-!--    calculate t_wall tendencies for the next Runge-Kutta step
+!--    Calculate t_wall tendencies for the next Runge-Kutta step
        IF ( timestep_scheme(1:5) == 'runge' )  THEN
            IF ( intermediate_timestep_count == 1 )  THEN
@@ -5328,5 +5332,5 @@
        IF ( .NOT. during_spinup )  THEN
 !
-!--       calculate t_window tendencies for the next Runge-Kutta step
+!--       Calculate t_window tendencies for the next Runge-Kutta step
           IF ( timestep_scheme(1:5) == 'runge' )  THEN
               IF ( intermediate_timestep_count == 1 )  THEN
@@ -5356,5 +5360,5 @@
           k = surf_usm_v(l)%k(m)
 !
-!--       prognostic equation for wall temperature t_wall_v
+!--       Prognostic equation for wall temperature t_wall_v
           wtend(:) = 0.0_wp
 
@@ -5425,5 +5429,5 @@
                           surf_usm_v(l)%zw_window(nzt_wall,m)
 !
-!--          prognostic equation for window temperature t_window_v
+!--          Prognostic equation for window temperature t_window_v
              wintend(:) = 0.0_wp
              wintend(nzb_wall) = ( 1.0_wp / surf_usm_v(l)%rho_c_window(nzb_wall,m) )               &
@@ -5492,5 +5496,5 @@
 
 !
-!--       calculate t_wall tendencies for the next Runge-Kutta step
+!--       Calculate t_wall tendencies for the next Runge-Kutta step
           IF ( timestep_scheme(1:5) == 'runge' )  THEN
               IF ( intermediate_timestep_count == 1 )  THEN
@@ -5509,5 +5513,5 @@
           IF ( .NOT. during_spinup )  THEN
 !
-!--          calculate t_window tendencies for the next Runge-Kutta step
+!--          Calculate t_window tendencies for the next Runge-Kutta step
              IF ( timestep_scheme(1:5) == 'runge' )  THEN
                  IF ( intermediate_timestep_count == 1 )  THEN
@@ -5837,5 +5841,5 @@
           IF (surf_usm_v(l)%frac(m,ind_pav_green) > 0.0_wp)  THEN
 !
-!-- no substrate layer for green walls / only groundbase green walls (ivy i.e.) -> green layers get
+!-- No substrate layer for green walls / only groundbase green walls (ivy i.e.) -> Green layers get
 !-- same temperature as first wall layer, therefore no temperature calculations for vertical green
 !-- substrate layers now
@@ -5850,5 +5854,5 @@
 !              t_green_v(l)%t(nzt_wall+1,m) = t_wall_v(l)%t(nzb_wall,m)
 ! !
-! !--          prognostic equation for green temperature t_green_v
+! !--          Prognostic equation for green temperature t_green_v
 !              gtend(:) = 0.0_wp
 !              gtend(nzb_wall) = (1.0_wp / surf_usm_v(l)%rho_c_green(nzb_wall,m)) * &
@@ -5878,5 +5882,5 @@
 !
 ! !
-! !--          calculate t_green tendencies for the next Runge-Kutta step
+! !--          Calculate t_green tendencies for the next Runge-Kutta step
 !              IF ( timestep_scheme(1:5) == 'runge' )  THEN
 !                  IF ( intermediate_timestep_count == 1 )  THEN
@@ -6037,5 +6041,5 @@
         IF ( ii == io_group )  THEN
 
-!--         open anthropogenic heat file
+!--         Open anthropogenic heat file
             OPEN( 151, file = 'ANTHROPOGENIC_HEAT' // TRIM( coupling_char ), action = 'read',      &
                   status = 'old', form = 'formatted', err = 11 )
@@ -6046,5 +6050,5 @@
                 IF ( i >= nxl  .AND.  i <= nxr  .AND.  j >= nys  .AND.  j <= nyn )  THEN
                     IF ( k <= naheatlayers  .AND.  k > topo_top_ind(j,i,0) )  THEN
-!--                     write heat into the array
+!--                     Write heat into the array
                         aheat(k,j,i) = heat
                     ENDIF
@@ -6704,13 +6708,13 @@
 
 !
-!-- read categories of walls and their parameters
+!-- Read categories of walls and their parameters
     DO  ii = 0, io_blocks-1
         IF ( ii == io_group )  THEN
 !
-!--         open urban surface file
+!--         Open urban surface file
             OPEN( 151, file = 'SURFACE_PARAMETERS' // coupling_char,  action = 'read', &
                        status = 'old', form = 'formatted', err = 15 )
 !
-!--         first test and get n_surface_types
+!--         First test and get n_surface_types
             k = 0
             l = 0
@@ -6727,5 +6731,5 @@
             ALLOCATE( surface_params(n_surface_params, n_surface_types) )
 !
-!--         real reading
+!--         Real reading
             rewind( 151 )
             k = 0
@@ -6749,5 +6753,5 @@
 
 !
-!-- read types of surfaces
+!-- Read types of surfaces
     usm_par = 0
     DO  ii = 0, io_blocks-1
@@ -6755,5 +6759,5 @@
 
 !
-!--         open csv urban surface file
+!--         Open csv urban surface file
             OPEN( 151, file = 'URBAN_SURFACE' // TRIM( coupling_char ), action = 'read',           &
                   status = 'old', form = 'formatted', err = 23 )
@@ -6778,10 +6782,10 @@
                IF ( i >= nxlg  .AND.  i <= nxrg  .AND.  j >= nysg  .AND.  j <= nyng )  THEN
 !
-!--                write integer variables into array
+!--                Write integer variables into array
                    usm_par(:,j,i) = (/1, nz, roof, dirwe, dirsn, category,                         &
                                      weheight1, wecat1, weheight2, wecat2, weheight3, wecat3,      &
                                      snheight1, sncat1, snheight2, sncat2, snheight3, sncat3 /)
 !
-!--                write real values into array
+!--                Write real values into array
                    usm_val(:,j,i) = (/ albedo, thick,                                              &
                                       wealbedo1, wethick1, wealbedo2, wethick2,                    &
@@ -6807,5 +6811,5 @@
 
 !
-!-- check completeness and formal correctness of the data
+!-- Check completeness and formal correctness of the data
     DO  i = nxlg, nxrg
         DO  j = nysg, nyng
@@ -6829,5 +6833,5 @@
                 ) )  THEN
 !
-!--             incorrect input data
+!--             Incorrect input data
                 WRITE( message_string, '(A,2I5)' )                                                 &
                 'missing or incorrect data in file URBAN_SURFACE' //  TRIM( coupling_char ) //     &
@@ -6852,8 +6856,8 @@
           IF ( zu(kw) >= roof_height_limit )  THEN
              surf_usm_h%isroof_surf(m)   = .TRUE.
-             surf_usm_h%surface_types(m) = roof_category !< default category for root surface
+             surf_usm_h%surface_types(m) = roof_category !< Default category for root surface
           ELSE
              surf_usm_h%isroof_surf(m)   = .FALSE.
-             surf_usm_h%surface_types(m) = land_category !< default category for land surface
+             surf_usm_h%surface_types(m) = land_category !< Default category for land surface
           ENDIF
 
@@ -6890,5 +6894,5 @@
        IF ( ip == -99999 )  THEN
 !
-!--       land/roof category not found
+!--       Land/roof category not found
           WRITE(9, '(A, I5, A, 3I5)' ) 'land/roof category ', it, ' not found  for i, j, k = ',    &
                                        iw, jw, kw
@@ -6907,5 +6911,5 @@
           IF ( ip == -99999 )  THEN
 !
-!--          default land/roof category not found
+!--          Default land/roof category not found
              WRITE( 9, '(A, I5, A, 3I5)' ) 'Default land/roof category ', category, ' not found!'
              FLUSH( 9 )
@@ -6927,13 +6931,13 @@
        ENDIF
 !
-!--    emissivity of the wall
+!--    Emissivity of the wall
        surf_usm_h%emissivity(m,:) = surface_params(iemiss, ip)
 !
-!--    heat conductivity Î»S between air and wall ( W mâ2 Kâ1 )
+!--    Heat conductivity Î»S between air and wall ( W mâ2 Kâ1 )
        surf_usm_h%lambda_surf(m)        = surface_params(ilambdas,ip)
        surf_usm_h%lambda_surf_window(m) = surface_params(ilambdas,ip)
        surf_usm_h%lambda_surf_green(m)  = surface_params(ilambdas,ip)
 !
-!--    roughness length for momentum, heat and humidity
+!--    Roughness length for momentum, heat and humidity
        surf_usm_h%z0(m)  = surface_params(irough,ip)
        surf_usm_h%z0h(m) = surface_params(iroughh,ip)
@@ -6945,6 +6949,6 @@
        surf_usm_h%c_surface_green(m)  = surface_params(icsurf,ip)
 !
-!--    wall material parameters:
-!--    thickness of the wall (m) missing values are replaced by default value for category
+!--    Wall material parameters:
+!--    Thickness of the wall (m) missing values are replaced by default value for category
        IF ( surf_usm_h%thickness_wall(m) <= 0.001_wp )  THEN
             surf_usm_h%thickness_wall(m) = surface_params(ithick,ip)
@@ -6957,10 +6961,10 @@
        ENDIF
 !
-!--    volumetric heat capacity rho*C of the wall ( J mâ3 Kâ1 )
+!--    Volumetric heat capacity rho*C of the wall ( J mâ3 Kâ1 )
        surf_usm_h%rho_c_wall(:,m)   = surface_params(irhoC,ip)
        surf_usm_h%rho_c_window(:,m) = surface_params(irhoC,ip)
        surf_usm_h%rho_c_green(:,m)  = surface_params(irhoC,ip)
 !
-!--    thermal conductivity Î»H of the wall (W mâ1 Kâ1 )
+!--    Thermal conductivity Î»H of the wall (W mâ1 Kâ1 )
        surf_usm_h%lambda_h(:,m)        = surface_params(ilambdah,ip)
        surf_usm_h%lambda_h_window(:,m) = surface_params(ilambdah,ip)
@@ -6981,5 +6985,5 @@
           kw = surf_usm_v(l)%k(m)
 
-          IF ( l == 3 )  THEN ! westward facing
+          IF ( l == 3 )  THEN ! Westward facing
              iw = i
              jw = j
@@ -7005,9 +7009,9 @@
           IF ( iw < 0 .OR. jw < 0 ) THEN
 !
-!--          wall on west or south border of the domain - assign default category
+!--          Wall on west or south border of the domain - assign default category
              IF ( kw <= roof_height_limit ) THEN
-                 surf_usm_v(l)%surface_types(m) = wall_category   !< default category for wall surface in wall zone
+                 surf_usm_v(l)%surface_types(m) = wall_category   !< Default category for wall surface in wall zone
              ELSE
-                 surf_usm_v(l)%surface_types(m) = roof_category   !< default category for wall surface in roof zone
+                 surf_usm_v(l)%surface_types(m) = roof_category   !< Default category for wall surface in roof zone
              ENDIF
              surf_usm_v(l)%albedo(m,:)         = -1.0_wp
@@ -7018,8 +7022,8 @@
           ELSE IF ( kw <= usm_par(ii,jw,iw) )  THEN
 !
-!--             pedestrian zone
+!--             Pedestrian zone
              IF ( usm_par(ii+1,jw,iw) == 0 )  THEN
-                 surf_usm_v(l)%surface_types(m)  = pedestrian_category   !< default category for wall surface in
-                                                                         !< pedestrian zone
+                 surf_usm_v(l)%surface_types(m)  = pedestrian_category   !< Default category for wall surface in
+                                                                         !< Pedestrian zone
                  surf_usm_v(l)%albedo(m,:)         = -1.0_wp
                  surf_usm_v(l)%thickness_wall(m)   = -1.0_wp
@@ -7037,5 +7041,5 @@
           ELSE IF ( kw <= usm_par(ii+2,jw,iw) )  THEN
 !
-!--          wall zone
+!--          Wall zone
              IF ( usm_par(ii+3,jw,iw) == 0 )  THEN
                  surf_usm_v(l)%surface_types(m)    = wall_category  !< default category for wall surface
@@ -7055,7 +7059,7 @@
           ELSE IF ( kw <= usm_par(ii+4,jw,iw) )  THEN
 !
-!--          roof zone
+!--          Roof zone
              IF ( usm_par(ii+5,jw,iw) == 0 )  THEN
-                 surf_usm_v(l)%surface_types(m)    = roof_category  !< default category for roof surface
+                 surf_usm_v(l)%surface_types(m)    = roof_category  !< Default category for roof surface
                  surf_usm_v(l)%albedo(m,:)         = -1.0_wp
                  surf_usm_v(l)%thickness_wall(m)   = -1.0_wp
@@ -7081,9 +7085,9 @@
              FLUSH( 9 )
 !
-!--          supply the default category
+!--          Supply the default category
              IF ( kw <= roof_height_limit )  THEN
-                 surf_usm_v(l)%surface_types(m) = wall_category  !< default category for wall surface in wall zone
+                 surf_usm_v(l)%surface_types(m) = wall_category  !< Default category for wall surface in wall zone
              ELSE
-                 surf_usm_v(l)%surface_types(m) = roof_category  !< default category for wall surface in roof zone
+                 surf_usm_v(l)%surface_types(m) = roof_category  !< Default category for wall surface in roof zone
              ENDIF
              surf_usm_v(l)%albedo(m,:)         = -1.0_wp
@@ -7105,5 +7109,5 @@
           IF ( ip == -99999 )  THEN
 !
-!--          wall category not found
+!--          Wall category not found
              WRITE( 9, '(A,I7,A,3I5)' ) 'wall category ', it, ' not found  for i,j,k = ', iw, jw, kw
              FLUSH(9)
@@ -7117,5 +7121,5 @@
              IF ( ip == -99999 )  THEN
 !
-!--             default wall category not found
+!--             Default wall category not found
                 WRITE ( 9, '(A,I5,A,3I5)' ) 'Default wall category', category, ' not found!'
                 FLUSH( 9 )
@@ -7136,13 +7140,13 @@
           ENDIF
 !
-!--       emissivity of the wall
+!--       Emissivity of the wall
           surf_usm_v(l)%emissivity(:,m) = surface_params(iemiss,ip)
 !
-!--       heat conductivity lambda S between air and wall ( W m-2 K-1 )
+!--       Heat conductivity lambda S between air and wall ( W m-2 K-1 )
           surf_usm_v(l)%lambda_surf(m)        = surface_params(ilambdas,ip)
           surf_usm_v(l)%lambda_surf_window(m) = surface_params(ilambdas,ip)
           surf_usm_v(l)%lambda_surf_green(m)  = surface_params(ilambdas,ip)
 !
-!--       roughness length
+!--       Roughness length
           surf_usm_v(l)%z0(m)  = surface_params(irough,ip)
           surf_usm_v(l)%z0h(m) = surface_params(iroughh,ip)
@@ -7154,7 +7158,7 @@
           surf_usm_v(l)%c_surface_green(m)  = surface_params(icsurf,ip)
 !
-!--       wall material parameters:
-!--       thickness of the wall (m)
-!--       missing values are replaced by default value for category
+!--       Wall material parameters:
+!--       Thickness of the wall (m)
+!--       Missing values are replaced by default value for category
           IF ( surf_usm_v(l)%thickness_wall(m) <= 0.001_wp )  THEN
                surf_usm_v(l)%thickness_wall(m) = surface_params(ithick,ip)
@@ -7167,10 +7171,10 @@
           ENDIF
 !
-!--       volumetric heat capacity rho*C of the wall ( J m-3 K-1 )
+!--       Volumetric heat capacity rho*C of the wall ( J m-3 K-1 )
           surf_usm_v(l)%rho_c_wall(:,m)   = surface_params(irhoC,ip)
           surf_usm_v(l)%rho_c_window(:,m) = surface_params(irhoC,ip)
           surf_usm_v(l)%rho_c_green(:,m)  = surface_params(irhoC,ip)
 !
-!--       thermal conductivity lambda H of the wall (W m-1 K-1 )
+!--       Thermal conductivity lambda H of the wall (W m-1 K-1 )
           surf_usm_v(l)%lambda_h(:,m)        = surface_params(ilambdah,ip)
           surf_usm_v(l)%lambda_h_window(:,m) = surface_params(ilambdah,ip)
@@ -7189,5 +7193,5 @@
     ENDDO
 !
-!-- apply for all particular surface grids. First for horizontal surfaces
+!-- Apply for all particular surface grids. First for horizontal surfaces
     DO  m = 1, surf_usm_h%ns
        surf_usm_h%zw(:,m)        = zwn(:) * surf_usm_h%thickness_wall(m)
@@ -7264,5 +7268,5 @@
         IF ( ii == io_group )  THEN
 !
-!--         open wall temperature file
+!--         Open wall temperature file
             OPEN( 152, file = 'WALL_TEMPERATURE' // coupling_char, action = 'read', &
                        status = 'old', form = 'formatted', err = 15 )
@@ -7271,8 +7275,8 @@
             iline = 1
             DO
-                rtwall = -9999.0_wp  !< for incomplete lines
+                rtwall = -9999.0_wp  !< For incomplete lines
                 READ( 152, *, err = 13, end = 14 )  i, j, k, d, rtsurf, rtwall
 
-                IF ( nxl <= i .AND. i <= nxr .AND. nys <= j .AND. j <= nyn)  THEN  !< local processor
+                IF ( nxl <= i .AND. i <= nxr .AND. nys <= j .AND. j <= nyn)  THEN  !< Local processor
 !--                 identify surface id
                     isurfl = find_surface( i, j, k, d )
@@ -7284,5 +7288,5 @@
                     ENDIF
 !
-!--                 assign temperatures
+!--                 Assign temperatures
                     IF ( d == 0 )  THEN
                        t_surf_wall_h(isurfl) = rtsurf
@@ -7446,5 +7450,5 @@
        ENDIF
 !
-!--    calculate rho * c_p coefficient at surface layer
+!--    Calculate rho * c_p coefficient at surface layer
        rho_cp  = c_p * hyp(k) / ( r_d * surf_usm_h%pt1(m) * exner(k) )
 
@@ -7486,5 +7490,5 @@
 
 !
-!--    factor for shf_eb
+!--    Factor for shf_eb
        f_shf         = rho_cp / surf_usm_h%r_a(m)
        f_shf_window  = rho_cp / surf_usm_h%r_a_window(m)
@@ -7497,9 +7501,9 @@
 !--       ECMWF documentation
 
-!--       f1: correction for incoming shortwave radiation (stomata close at night)
+!--       f1: Correction for incoming shortwave radiation (stomata close at night)
           f1 = MIN( 1.0_wp, ( 0.004_wp * surf_usm_h%rad_sw_in(m) + 0.05_wp ) /                     &
                     (0.81_wp * ( 0.004_wp * surf_usm_h%rad_sw_in(m) + 1.0_wp ) ) )
 !
-!--       f2: correction for soil moisture availability to plants (the integrated soil moisture must
+!--       f2: Correction for soil moisture availability to plants (the integrated soil moisture must
 !--       thus be considered here) f2 = 0 for very dry soils
           m_total = 0.0_wp
@@ -7521,5 +7525,5 @@
                                            / ( t_surf_green_h(m) - 35.86_wp ) )
 !
-!--       f3: correction for vapour pressure deficit
+!--       f3: Correction for vapour pressure deficit
           IF ( surf_usm_h%g_d(m) /= 0.0_wp )  THEN
 !
@@ -7574,9 +7578,9 @@
        ENDIF
 !
-!--    add LW up so that it can be removed in prognostic equation
+!--    Add LW up so that it can be removed in prognostic equation
        surf_usm_h%rad_net_l(m) = surf_usm_h%rad_sw_in(m)  - surf_usm_h%rad_sw_out(m) +             &
                                  surf_usm_h%rad_lw_in(m)  - surf_usm_h%rad_lw_out(m)
 !
-!--    numerator of the prognostic equation
+!--    Numerator of the prognostic equation
 !--    Todo: Adjust to tile approach. So far, emissivity for wall (element 0) is used
        coef_1 = surf_usm_h%rad_net_l(m) + ( 3.0_wp + 1.0_wp )                                      &
@@ -7603,5 +7607,5 @@
        ENDIF
 !
-!--    denominator of the prognostic equation
+!--    Denominator of the prognostic equation
        coef_2 = 4.0_wp * surf_usm_h%emissivity(m,ind_veg_wall) * sigma_sb * t_surf_wall_h(m)**3    &
                 + lambda_surface + f_shf / exner(k)
@@ -7619,5 +7623,5 @@
        ENDIF
 !
-!--    implicit solution when the surface layer has no heat capacity, otherwise use RK3 scheme.
+!--    Implicit solution when the surface layer has no heat capacity, otherwise use RK3 scheme.
        t_surf_wall_h_p(m) = ( coef_1 * dt_3d * tsc(2) + surf_usm_h%c_surface(m)                    &
                               * t_surf_wall_h(m) )                                                 &
@@ -7632,5 +7636,5 @@
                              /  ( surf_usm_h%c_surface_green(m) + coef_green_2 * dt_3d * tsc(2) )
 !
-!--    add RK3 term
+!--    Add RK3 term
        t_surf_wall_h_p(m) = t_surf_wall_h_p(m) + dt_3d * tsc(3) *  surf_usm_h%tt_surface_wall_m(m)
 
@@ -7650,5 +7654,5 @@
        IF ( humidity )  surf_usm_h%vpt_surface(m) = surf_usm_h%pt_surface(m)
 !
-!--    calculate true tendency
+!--    Calculate true tendency
        stend_wall = ( t_surf_wall_h_p(m) - t_surf_wall_h(m) - dt_3d * tsc(3) *                     &
                       surf_usm_h%tt_surface_wall_m(m) ) / ( dt_3d  * tsc(2) )
@@ -7658,5 +7662,5 @@
                        surf_usm_h%tt_surface_green_m(m) ) / ( dt_3d  * tsc(2) )
 !
-!--    calculate t_surf tendencies for the next Runge-Kutta step
+!--    Calculate t_surf tendencies for the next Runge-Kutta step
        IF ( timestep_scheme(1:5) == 'runge' )  THEN
           IF ( intermediate_timestep_count == 1 )  THEN
@@ -7674,5 +7678,5 @@
        ENDIF
 !
-!--    in case of fast changes in the skin temperature, it is required to update the radiative
+!--    In case of fast changes in the skin temperature, it is required to update the radiative
 !--    fluxes in order to keep the solution stable
        IF ( ( ( ABS( t_surf_wall_h_p(m)   - t_surf_wall_h(m) )   > 1.0_wp )   .OR.                 &
@@ -7683,6 +7687,6 @@
        ENDIF
 !
-!--    calculate fluxes
-!--    rad_net_l is never used!
+!--    Calculate fluxes
+!--    Rad_net_l is never used!
        surf_usm_h%rad_net_l(m) = surf_usm_h%rad_net_l(m) + surf_usm_h%frac(m,ind_veg_wall)         &
                                  * sigma_sb * surf_usm_h%emissivity(m,ind_veg_wall)                &
@@ -7702,5 +7706,5 @@
 
 !
-!--    ground/wall/roof surface heat flux
+!--    Ground/wall/roof surface heat flux
        surf_usm_h%wshf_eb(m)   = - f_shf  * ( surf_usm_h%pt1(m) - t_surf_wall_h_p(m) / exner(k) )  &
                                  * surf_usm_h%frac(m,ind_veg_wall) - f_shf_window                  &
@@ -7710,5 +7714,5 @@
                                  * surf_usm_h%frac(m,ind_pav_green)
 !
-!--    store kinematic surface heat fluxes for utilization in other processes diffusion_s,
+!--    Store kinematic surface heat fluxes for utilization in other processes diffusion_s,
 !--    surface_layer_fluxes,...
        surf_usm_h%shf(m) = surf_usm_h%wshf_eb(m) / c_p
@@ -7862,5 +7866,5 @@
            ENDIF
 !
-!--        calculate rho * c_p coefficient at wall layer
+!--        Calculate rho * c_p coefficient at wall layer
            rho_cp  = c_p * hyp(k) / ( r_d * surf_usm_v(l)%pt1(m) * exner(k) )
 
@@ -7874,5 +7878,5 @@
 !--        Calculation of r_a for vertical surfaces
 !--
-!--        heat transfer coefficient for forced convection along vertical walls follows formulation
+!--        Heat transfer coefficient for forced convection along vertical walls follows formulation
 !--        in TUF3d model (Krayenhoff & Voogt, 2006)
 !--
@@ -7880,13 +7884,13 @@
 !--        httc = rw * (11.8 + 4.2 * Ueff) - 4.0
 !--
-!--             rw: wall patch roughness relative to 1.0 for concrete
-!--             Ueff: effective wind speed
+!--             rw: Wall patch roughness relative to 1.0 for concrete
+!--             Ueff: Effective wind speed
 !--             - 4.0 is a reduction of Rowley et al (1930) formulation based on
 !--             Cole and Sturrock (1977)
 !--
 !--             Ucan: Canyon wind speed
-!--             wstar: convective velocity
-!--             Qs: surface heat flux
-!--             zH: height of the convective layer
+!--             wstar: Convective velocity
+!--             Qs: Surface heat flux
+!--             zH: Height of the convective layer
 !--             wstar = (g/Tcan*Qs*zH)**(1./3.)
 !--        Effective velocity components must always be defined at scalar grid point. The wall
